/* 
 * Copyright (C) 2014 Andersson Paz Narvaez
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
package controles;

import java.beans.*;

/**
 *
 * @author Usuario
 */
public class SigplusLoaderBeanInfo extends SimpleBeanInfo {

    // Bean descriptor//GEN-FIRST:BeanDescriptor
    /*lazy BeanDescriptor*/
    private static BeanDescriptor getBdescriptor(){
        BeanDescriptor beanDescriptor = new BeanDescriptor  ( controles.SigplusLoader.class , null ); // NOI18N//GEN-HEADEREND:BeanDescriptor
    // Here you can add code for customizing the BeanDescriptor.

        return beanDescriptor;     }//GEN-LAST:BeanDescriptor


    // Property identifiers//GEN-FIRST:Properties
    private static final int PROPERTY_accessibleContext = 0;
    private static final int PROPERTY_alignmentX = 1;
    private static final int PROPERTY_alignmentY = 2;
    private static final int PROPERTY_annotation = 3;
    private static final int PROPERTY_autoKeyData = 4;
    private static final int PROPERTY_background = 5;
    private static final int PROPERTY_backgroundSet = 6;
    private static final int PROPERTY_badPointCounter = 7;
    private static final int PROPERTY_baselineResizeBehavior = 8;
    private static final int PROPERTY_bounds = 9;
    private static final int PROPERTY_colorModel = 10;
    private static final int PROPERTY_componentListeners = 11;
    private static final int PROPERTY_componentOrientation = 12;
    private static final int PROPERTY_cursor = 13;
    private static final int PROPERTY_cursorSet = 14;
    private static final int PROPERTY_displayable = 15;
    private static final int PROPERTY_displayAnnotation = 16;
    private static final int PROPERTY_displayAnnotationSize = 17;
    private static final int PROPERTY_displayAnnotationX = 18;
    private static final int PROPERTY_displayAnnotationY = 19;
    private static final int PROPERTY_displayDisplayMode = 20;
    private static final int PROPERTY_displayJustifyMode = 21;
    private static final int PROPERTY_displayJustifyX = 22;
    private static final int PROPERTY_displayJustifyY = 23;
    private static final int PROPERTY_displayPenColor = 24;
    private static final int PROPERTY_displayPenWidth = 25;
    private static final int PROPERTY_displayRotation = 26;
    private static final int PROPERTY_displayTimeStamp = 27;
    private static final int PROPERTY_displayTimeStampSize = 28;
    private static final int PROPERTY_displayTimeStampX = 29;
    private static final int PROPERTY_displayTimeStampY = 30;
    private static final int PROPERTY_displayTransparentMode = 31;
    private static final int PROPERTY_doubleBuffered = 32;
    private static final int PROPERTY_dropTarget = 33;
    private static final int PROPERTY_enabled = 34;
    private static final int PROPERTY_encryptionMode = 35;
    private static final int PROPERTY_focusable = 36;
    private static final int PROPERTY_focusCycleRootAncestor = 37;
    private static final int PROPERTY_focusListeners = 38;
    private static final int PROPERTY_focusOwner = 39;
    private static final int PROPERTY_focusTraversable = 40;
    private static final int PROPERTY_focusTraversalKeys = 41;
    private static final int PROPERTY_focusTraversalKeysEnabled = 42;
    private static final int PROPERTY_font = 43;
    private static final int PROPERTY_fontSet = 44;
    private static final int PROPERTY_foreground = 45;
    private static final int PROPERTY_foregroundSet = 46;
    private static final int PROPERTY_graphics = 47;
    private static final int PROPERTY_graphicsConfiguration = 48;
    private static final int PROPERTY_height = 49;
    private static final int PROPERTY_hierarchyBoundsListeners = 50;
    private static final int PROPERTY_hierarchyListeners = 51;
    private static final int PROPERTY_ignoreRepaint = 52;
    private static final int PROPERTY_imageAnnotation = 53;
    private static final int PROPERTY_imageAnnotationSize = 54;
    private static final int PROPERTY_imageAnnotationX = 55;
    private static final int PROPERTY_imageAnnotationY = 56;
    private static final int PROPERTY_imageDisplayMode = 57;
    private static final int PROPERTY_imageJustifyMode = 58;
    private static final int PROPERTY_imageJustifyX = 59;
    private static final int PROPERTY_imageJustifyY = 60;
    private static final int PROPERTY_imagePenColor = 61;
    private static final int PROPERTY_imagePenWidth = 62;
    private static final int PROPERTY_imageRotation = 63;
    private static final int PROPERTY_imageTimeStamp = 64;
    private static final int PROPERTY_imageTimeStampSize = 65;
    private static final int PROPERTY_imageTimeStampX = 66;
    private static final int PROPERTY_imageTimeStampY = 67;
    private static final int PROPERTY_imageTransparentMode = 68;
    private static final int PROPERTY_imageXSize = 69;
    private static final int PROPERTY_imageYSize = 70;
    private static final int PROPERTY_inputContext = 71;
    private static final int PROPERTY_inputMethodListeners = 72;
    private static final int PROPERTY_inputMethodRequests = 73;
    private static final int PROPERTY_keyListeners = 74;
    private static final int PROPERTY_keyReceipt = 75;
    private static final int PROPERTY_keyReceiptAscii = 76;
    private static final int PROPERTY_keyString = 77;
    private static final int PROPERTY_LCDCaptureMode = 78;
    private static final int PROPERTY_LCDPixelDepth = 79;
    private static final int PROPERTY_lightweight = 80;
    private static final int PROPERTY_locale = 81;
    private static final int PROPERTY_location = 82;
    private static final int PROPERTY_locationOnScreen = 83;
    private static final int PROPERTY_maximumSize = 84;
    private static final int PROPERTY_maximumSizeSet = 85;
    private static final int PROPERTY_minimumSize = 86;
    private static final int PROPERTY_minimumSizeSet = 87;
    private static final int PROPERTY_modelNumber = 88;
    private static final int PROPERTY_mouseListeners = 89;
    private static final int PROPERTY_mouseMotionListeners = 90;
    private static final int PROPERTY_mousePosition = 91;
    private static final int PROPERTY_mouseWheelListeners = 92;
    private static final int PROPERTY_name = 93;
    private static final int PROPERTY_numberOfStrokes = 94;
    private static final int PROPERTY_numPointsForStroke = 95;
    private static final int PROPERTY_opaque = 96;
    private static final int PROPERTY_parent = 97;
    private static final int PROPERTY_pdfString = 98;
    private static final int PROPERTY_peer = 99;
    private static final int PROPERTY_preferredSize = 100;
    private static final int PROPERTY_preferredSizeSet = 101;
    private static final int PROPERTY_propertyChangeListeners = 102;
    private static final int PROPERTY_savePressureData = 103;
    private static final int PROPERTY_saveSigInfo = 104;
    private static final int PROPERTY_saveTimeData = 105;
    private static final int PROPERTY_serialNumber = 106;
    private static final int PROPERTY_showing = 107;
    private static final int PROPERTY_sigCompressionMode = 108;
    private static final int PROPERTY_signatureData = 109;
    private static final int PROPERTY_sigPlusVersion = 110;
    private static final int PROPERTY_sigReceipt = 111;
    private static final int PROPERTY_sigReceiptAscii = 112;
    private static final int PROPERTY_sigString = 113;
    private static final int PROPERTY_size = 114;
    private static final int PROPERTY_tabletBaudRate = 115;
    private static final int PROPERTY_tabletClippingMode = 116;
    private static final int PROPERTY_tabletComPort = 117;
    private static final int PROPERTY_tabletComTest = 118;
    private static final int PROPERTY_tabletFilterPoints = 119;
    private static final int PROPERTY_tabletFormat = 120;
    private static final int PROPERTY_tabletInvisible = 121;
    private static final int PROPERTY_tabletLCDType = 122;
    private static final int PROPERTY_tabletLCDXSize = 123;
    private static final int PROPERTY_tabletLCDXStart = 124;
    private static final int PROPERTY_tabletLCDXStop = 125;
    private static final int PROPERTY_tabletLCDYSize = 126;
    private static final int PROPERTY_tabletLCDYStart = 127;
    private static final int PROPERTY_tabletLCDYStop = 128;
    private static final int PROPERTY_tabletLogicalXSize = 129;
    private static final int PROPERTY_tabletLogicalYSize = 130;
    private static final int PROPERTY_tabletMaxPointDelta = 131;
    private static final int PROPERTY_tabletModel = 132;
    private static final int PROPERTY_tabletModelNumber = 133;
    private static final int PROPERTY_tabletResolution = 134;
    private static final int PROPERTY_tabletRotation = 135;
    private static final int PROPERTY_tabletSerialNumber = 136;
    private static final int PROPERTY_tabletState = 137;
    private static final int PROPERTY_tabletTimingAdvance = 138;
    private static final int PROPERTY_tabletXStart = 139;
    private static final int PROPERTY_tabletXStop = 140;
    private static final int PROPERTY_tabletYStart = 141;
    private static final int PROPERTY_tabletYStop = 142;
    private static final int PROPERTY_timeStamp = 143;
    private static final int PROPERTY_toolkit = 144;
    private static final int PROPERTY_treeLock = 145;
    private static final int PROPERTY_valid = 146;
    private static final int PROPERTY_visible = 147;
    private static final int PROPERTY_width = 148;
    private static final int PROPERTY_x = 149;
    private static final int PROPERTY_XExtent = 150;
    private static final int PROPERTY_y = 151;
    private static final int PROPERTY_YExtent = 152;

    // Property array 
    /*lazy PropertyDescriptor*/
    private static PropertyDescriptor[] getPdescriptor(){
        PropertyDescriptor[] properties = new PropertyDescriptor[153];
    
        try {
            properties[PROPERTY_accessibleContext] = new PropertyDescriptor ( "accessibleContext", controles.SigplusLoader.class, "getAccessibleContext", null ); // NOI18N
            properties[PROPERTY_alignmentX] = new PropertyDescriptor ( "alignmentX", controles.SigplusLoader.class, "getAlignmentX", null ); // NOI18N
            properties[PROPERTY_alignmentY] = new PropertyDescriptor ( "alignmentY", controles.SigplusLoader.class, "getAlignmentY", null ); // NOI18N
            properties[PROPERTY_annotation] = new PropertyDescriptor ( "annotation", controles.SigplusLoader.class, "getAnnotation", "setAnnotation" ); // NOI18N
            properties[PROPERTY_autoKeyData] = new PropertyDescriptor ( "autoKeyData", controles.SigplusLoader.class, null, "setAutoKeyData" ); // NOI18N
            properties[PROPERTY_background] = new PropertyDescriptor ( "background", controles.SigplusLoader.class, "getBackground", "setBackground" ); // NOI18N
            properties[PROPERTY_backgroundSet] = new PropertyDescriptor ( "backgroundSet", controles.SigplusLoader.class, "isBackgroundSet", null ); // NOI18N
            properties[PROPERTY_badPointCounter] = new PropertyDescriptor ( "badPointCounter", controles.SigplusLoader.class, "getBadPointCounter", null ); // NOI18N
            properties[PROPERTY_baselineResizeBehavior] = new PropertyDescriptor ( "baselineResizeBehavior", controles.SigplusLoader.class, "getBaselineResizeBehavior", null ); // NOI18N
            properties[PROPERTY_bounds] = new PropertyDescriptor ( "bounds", controles.SigplusLoader.class, "getBounds", "setBounds" ); // NOI18N
            properties[PROPERTY_colorModel] = new PropertyDescriptor ( "colorModel", controles.SigplusLoader.class, "getColorModel", null ); // NOI18N
            properties[PROPERTY_componentListeners] = new PropertyDescriptor ( "componentListeners", controles.SigplusLoader.class, "getComponentListeners", null ); // NOI18N
            properties[PROPERTY_componentOrientation] = new PropertyDescriptor ( "componentOrientation", controles.SigplusLoader.class, "getComponentOrientation", "setComponentOrientation" ); // NOI18N
            properties[PROPERTY_cursor] = new PropertyDescriptor ( "cursor", controles.SigplusLoader.class, "getCursor", "setCursor" ); // NOI18N
            properties[PROPERTY_cursorSet] = new PropertyDescriptor ( "cursorSet", controles.SigplusLoader.class, "isCursorSet", null ); // NOI18N
            properties[PROPERTY_displayable] = new PropertyDescriptor ( "displayable", controles.SigplusLoader.class, "isDisplayable", null ); // NOI18N
            properties[PROPERTY_displayAnnotation] = new PropertyDescriptor ( "displayAnnotation", controles.SigplusLoader.class, "getDisplayAnnotation", "setDisplayAnnotation" ); // NOI18N
            properties[PROPERTY_displayAnnotationSize] = new PropertyDescriptor ( "displayAnnotationSize", controles.SigplusLoader.class, "getDisplayAnnotationSize", "setDisplayAnnotationSize" ); // NOI18N
            properties[PROPERTY_displayAnnotationX] = new PropertyDescriptor ( "displayAnnotationX", controles.SigplusLoader.class, "getDisplayAnnotationX", "setDisplayAnnotationX" ); // NOI18N
            properties[PROPERTY_displayAnnotationY] = new PropertyDescriptor ( "displayAnnotationY", controles.SigplusLoader.class, "getDisplayAnnotationY", "setDisplayAnnotationY" ); // NOI18N
            properties[PROPERTY_displayDisplayMode] = new PropertyDescriptor ( "displayDisplayMode", controles.SigplusLoader.class, "getDisplayDisplayMode", "setDisplayDisplayMode" ); // NOI18N
            properties[PROPERTY_displayJustifyMode] = new PropertyDescriptor ( "displayJustifyMode", controles.SigplusLoader.class, "getDisplayJustifyMode", "setDisplayJustifyMode" ); // NOI18N
            properties[PROPERTY_displayJustifyX] = new PropertyDescriptor ( "displayJustifyX", controles.SigplusLoader.class, "getDisplayJustifyX", "setDisplayJustifyX" ); // NOI18N
            properties[PROPERTY_displayJustifyY] = new PropertyDescriptor ( "displayJustifyY", controles.SigplusLoader.class, "getDisplayJustifyY", "setDisplayJustifyY" ); // NOI18N
            properties[PROPERTY_displayPenColor] = new PropertyDescriptor ( "displayPenColor", controles.SigplusLoader.class, "getDisplayPenColor", "setDisplayPenColor" ); // NOI18N
            properties[PROPERTY_displayPenWidth] = new PropertyDescriptor ( "displayPenWidth", controles.SigplusLoader.class, "getDisplayPenWidth", "setDisplayPenWidth" ); // NOI18N
            properties[PROPERTY_displayRotation] = new PropertyDescriptor ( "displayRotation", controles.SigplusLoader.class, "getDisplayRotation", "setDisplayRotation" ); // NOI18N
            properties[PROPERTY_displayTimeStamp] = new PropertyDescriptor ( "displayTimeStamp", controles.SigplusLoader.class, "getDisplayTimeStamp", "setDisplayTimeStamp" ); // NOI18N
            properties[PROPERTY_displayTimeStampSize] = new PropertyDescriptor ( "displayTimeStampSize", controles.SigplusLoader.class, "getDisplayTimeStampSize", "setDisplayTimeStampSize" ); // NOI18N
            properties[PROPERTY_displayTimeStampX] = new PropertyDescriptor ( "displayTimeStampX", controles.SigplusLoader.class, "getDisplayTimeStampX", "setDisplayTimeStampX" ); // NOI18N
            properties[PROPERTY_displayTimeStampY] = new PropertyDescriptor ( "displayTimeStampY", controles.SigplusLoader.class, "getDisplayTimeStampY", "setDisplayTimeStampY" ); // NOI18N
            properties[PROPERTY_displayTransparentMode] = new PropertyDescriptor ( "displayTransparentMode", controles.SigplusLoader.class, "getDisplayTransparentMode", "setDisplayTransparentMode" ); // NOI18N
            properties[PROPERTY_doubleBuffered] = new PropertyDescriptor ( "doubleBuffered", controles.SigplusLoader.class, "isDoubleBuffered", null ); // NOI18N
            properties[PROPERTY_dropTarget] = new PropertyDescriptor ( "dropTarget", controles.SigplusLoader.class, "getDropTarget", "setDropTarget" ); // NOI18N
            properties[PROPERTY_enabled] = new PropertyDescriptor ( "enabled", controles.SigplusLoader.class, "isEnabled", "setEnabled" ); // NOI18N
            properties[PROPERTY_encryptionMode] = new PropertyDescriptor ( "encryptionMode", controles.SigplusLoader.class, "getEncryptionMode", "setEncryptionMode" ); // NOI18N
            properties[PROPERTY_focusable] = new PropertyDescriptor ( "focusable", controles.SigplusLoader.class, "isFocusable", "setFocusable" ); // NOI18N
            properties[PROPERTY_focusCycleRootAncestor] = new PropertyDescriptor ( "focusCycleRootAncestor", controles.SigplusLoader.class, "getFocusCycleRootAncestor", null ); // NOI18N
            properties[PROPERTY_focusListeners] = new PropertyDescriptor ( "focusListeners", controles.SigplusLoader.class, "getFocusListeners", null ); // NOI18N
            properties[PROPERTY_focusOwner] = new PropertyDescriptor ( "focusOwner", controles.SigplusLoader.class, "isFocusOwner", null ); // NOI18N
            properties[PROPERTY_focusTraversable] = new PropertyDescriptor ( "focusTraversable", controles.SigplusLoader.class, "isFocusTraversable", null ); // NOI18N
            properties[PROPERTY_focusTraversalKeys] = new IndexedPropertyDescriptor ( "focusTraversalKeys", controles.SigplusLoader.class, null, null, "getFocusTraversalKeys", null ); // NOI18N
            properties[PROPERTY_focusTraversalKeysEnabled] = new PropertyDescriptor ( "focusTraversalKeysEnabled", controles.SigplusLoader.class, "getFocusTraversalKeysEnabled", "setFocusTraversalKeysEnabled" ); // NOI18N
            properties[PROPERTY_font] = new PropertyDescriptor ( "font", controles.SigplusLoader.class, "getFont", "setFont" ); // NOI18N
            properties[PROPERTY_fontSet] = new PropertyDescriptor ( "fontSet", controles.SigplusLoader.class, "isFontSet", null ); // NOI18N
            properties[PROPERTY_foreground] = new PropertyDescriptor ( "foreground", controles.SigplusLoader.class, "getForeground", "setForeground" ); // NOI18N
            properties[PROPERTY_foregroundSet] = new PropertyDescriptor ( "foregroundSet", controles.SigplusLoader.class, "isForegroundSet", null ); // NOI18N
            properties[PROPERTY_graphics] = new PropertyDescriptor ( "graphics", controles.SigplusLoader.class, "getGraphics", null ); // NOI18N
            properties[PROPERTY_graphicsConfiguration] = new PropertyDescriptor ( "graphicsConfiguration", controles.SigplusLoader.class, "getGraphicsConfiguration", null ); // NOI18N
            properties[PROPERTY_height] = new PropertyDescriptor ( "height", controles.SigplusLoader.class, "getHeight", null ); // NOI18N
            properties[PROPERTY_hierarchyBoundsListeners] = new PropertyDescriptor ( "hierarchyBoundsListeners", controles.SigplusLoader.class, "getHierarchyBoundsListeners", null ); // NOI18N
            properties[PROPERTY_hierarchyListeners] = new PropertyDescriptor ( "hierarchyListeners", controles.SigplusLoader.class, "getHierarchyListeners", null ); // NOI18N
            properties[PROPERTY_ignoreRepaint] = new PropertyDescriptor ( "ignoreRepaint", controles.SigplusLoader.class, "getIgnoreRepaint", "setIgnoreRepaint" ); // NOI18N
            properties[PROPERTY_imageAnnotation] = new PropertyDescriptor ( "imageAnnotation", controles.SigplusLoader.class, "getImageAnnotation", "setImageAnnotation" ); // NOI18N
            properties[PROPERTY_imageAnnotationSize] = new PropertyDescriptor ( "imageAnnotationSize", controles.SigplusLoader.class, "getImageAnnotationSize", "setImageAnnotationSize" ); // NOI18N
            properties[PROPERTY_imageAnnotationX] = new PropertyDescriptor ( "imageAnnotationX", controles.SigplusLoader.class, "getImageAnnotationX", "setImageAnnotationX" ); // NOI18N
            properties[PROPERTY_imageAnnotationY] = new PropertyDescriptor ( "imageAnnotationY", controles.SigplusLoader.class, "getImageAnnotationY", "setImageAnnotationY" ); // NOI18N
            properties[PROPERTY_imageDisplayMode] = new PropertyDescriptor ( "imageDisplayMode", controles.SigplusLoader.class, "getImageDisplayMode", "setImageDisplayMode" ); // NOI18N
            properties[PROPERTY_imageJustifyMode] = new PropertyDescriptor ( "imageJustifyMode", controles.SigplusLoader.class, "getImageJustifyMode", "setImageJustifyMode" ); // NOI18N
            properties[PROPERTY_imageJustifyX] = new PropertyDescriptor ( "imageJustifyX", controles.SigplusLoader.class, "getImageJustifyX", "setImageJustifyX" ); // NOI18N
            properties[PROPERTY_imageJustifyY] = new PropertyDescriptor ( "imageJustifyY", controles.SigplusLoader.class, "getImageJustifyY", "setImageJustifyY" ); // NOI18N
            properties[PROPERTY_imagePenColor] = new PropertyDescriptor ( "imagePenColor", controles.SigplusLoader.class, "getImagePenColor", "setImagePenColor" ); // NOI18N
            properties[PROPERTY_imagePenWidth] = new PropertyDescriptor ( "imagePenWidth", controles.SigplusLoader.class, "getImagePenWidth", "setImagePenWidth" ); // NOI18N
            properties[PROPERTY_imageRotation] = new PropertyDescriptor ( "imageRotation", controles.SigplusLoader.class, "getImageRotation", "setImageRotation" ); // NOI18N
            properties[PROPERTY_imageTimeStamp] = new PropertyDescriptor ( "imageTimeStamp", controles.SigplusLoader.class, "getImageTimeStamp", "setImageTimeStamp" ); // NOI18N
            properties[PROPERTY_imageTimeStampSize] = new PropertyDescriptor ( "imageTimeStampSize", controles.SigplusLoader.class, "getImageTimeStampSize", "setImageTimeStampSize" ); // NOI18N
            properties[PROPERTY_imageTimeStampX] = new PropertyDescriptor ( "imageTimeStampX", controles.SigplusLoader.class, "getImageTimeStampX", "setImageTimeStampX" ); // NOI18N
            properties[PROPERTY_imageTimeStampY] = new PropertyDescriptor ( "imageTimeStampY", controles.SigplusLoader.class, "getImageTimeStampY", "setImageTimeStampY" ); // NOI18N
            properties[PROPERTY_imageTransparentMode] = new PropertyDescriptor ( "imageTransparentMode", controles.SigplusLoader.class, "getImageTransparentMode", "setImageTransparentMode" ); // NOI18N
            properties[PROPERTY_imageXSize] = new PropertyDescriptor ( "imageXSize", controles.SigplusLoader.class, "getImageXSize", "setImageXSize" ); // NOI18N
            properties[PROPERTY_imageYSize] = new PropertyDescriptor ( "imageYSize", controles.SigplusLoader.class, "getImageYSize", "setImageYSize" ); // NOI18N
            properties[PROPERTY_inputContext] = new PropertyDescriptor ( "inputContext", controles.SigplusLoader.class, "getInputContext", null ); // NOI18N
            properties[PROPERTY_inputMethodListeners] = new PropertyDescriptor ( "inputMethodListeners", controles.SigplusLoader.class, "getInputMethodListeners", null ); // NOI18N
            properties[PROPERTY_inputMethodRequests] = new PropertyDescriptor ( "inputMethodRequests", controles.SigplusLoader.class, "getInputMethodRequests", null ); // NOI18N
            properties[PROPERTY_keyListeners] = new PropertyDescriptor ( "keyListeners", controles.SigplusLoader.class, "getKeyListeners", null ); // NOI18N
            properties[PROPERTY_keyReceipt] = new PropertyDescriptor ( "keyReceipt", controles.SigplusLoader.class, "getKeyReceipt", null ); // NOI18N
            properties[PROPERTY_keyReceiptAscii] = new PropertyDescriptor ( "keyReceiptAscii", controles.SigplusLoader.class, "getKeyReceiptAscii", null ); // NOI18N
            properties[PROPERTY_keyString] = new PropertyDescriptor ( "keyString", controles.SigplusLoader.class, "getKeyString", "setKeyString" ); // NOI18N
            properties[PROPERTY_LCDCaptureMode] = new PropertyDescriptor ( "LCDCaptureMode", controles.SigplusLoader.class, "getLCDCaptureMode", "setLCDCaptureMode" ); // NOI18N
            properties[PROPERTY_LCDPixelDepth] = new PropertyDescriptor ( "LCDPixelDepth", controles.SigplusLoader.class, "getLCDPixelDepth", "setLCDPixelDepth" ); // NOI18N
            properties[PROPERTY_lightweight] = new PropertyDescriptor ( "lightweight", controles.SigplusLoader.class, "isLightweight", null ); // NOI18N
            properties[PROPERTY_locale] = new PropertyDescriptor ( "locale", controles.SigplusLoader.class, "getLocale", "setLocale" ); // NOI18N
            properties[PROPERTY_location] = new PropertyDescriptor ( "location", controles.SigplusLoader.class, "getLocation", "setLocation" ); // NOI18N
            properties[PROPERTY_locationOnScreen] = new PropertyDescriptor ( "locationOnScreen", controles.SigplusLoader.class, "getLocationOnScreen", null ); // NOI18N
            properties[PROPERTY_maximumSize] = new PropertyDescriptor ( "maximumSize", controles.SigplusLoader.class, "getMaximumSize", "setMaximumSize" ); // NOI18N
            properties[PROPERTY_maximumSizeSet] = new PropertyDescriptor ( "maximumSizeSet", controles.SigplusLoader.class, "isMaximumSizeSet", null ); // NOI18N
            properties[PROPERTY_minimumSize] = new PropertyDescriptor ( "minimumSize", controles.SigplusLoader.class, "getMinimumSize", "setMinimumSize" ); // NOI18N
            properties[PROPERTY_minimumSizeSet] = new PropertyDescriptor ( "minimumSizeSet", controles.SigplusLoader.class, "isMinimumSizeSet", null ); // NOI18N
            properties[PROPERTY_modelNumber] = new PropertyDescriptor ( "modelNumber", controles.SigplusLoader.class, "getModelNumber", null ); // NOI18N
            properties[PROPERTY_mouseListeners] = new PropertyDescriptor ( "mouseListeners", controles.SigplusLoader.class, "getMouseListeners", null ); // NOI18N
            properties[PROPERTY_mouseMotionListeners] = new PropertyDescriptor ( "mouseMotionListeners", controles.SigplusLoader.class, "getMouseMotionListeners", null ); // NOI18N
            properties[PROPERTY_mousePosition] = new PropertyDescriptor ( "mousePosition", controles.SigplusLoader.class, "getMousePosition", null ); // NOI18N
            properties[PROPERTY_mouseWheelListeners] = new PropertyDescriptor ( "mouseWheelListeners", controles.SigplusLoader.class, "getMouseWheelListeners", null ); // NOI18N
            properties[PROPERTY_name] = new PropertyDescriptor ( "name", controles.SigplusLoader.class, "getName", "setName" ); // NOI18N
            properties[PROPERTY_numberOfStrokes] = new PropertyDescriptor ( "numberOfStrokes", controles.SigplusLoader.class, "getNumberOfStrokes", null ); // NOI18N
            properties[PROPERTY_numPointsForStroke] = new IndexedPropertyDescriptor ( "numPointsForStroke", controles.SigplusLoader.class, null, null, "getNumPointsForStroke", null ); // NOI18N
            properties[PROPERTY_opaque] = new PropertyDescriptor ( "opaque", controles.SigplusLoader.class, "isOpaque", null ); // NOI18N
            properties[PROPERTY_parent] = new PropertyDescriptor ( "parent", controles.SigplusLoader.class, "getParent", null ); // NOI18N
            properties[PROPERTY_pdfString] = new PropertyDescriptor ( "pdfString", controles.SigplusLoader.class, "getPdfString", null ); // NOI18N
            properties[PROPERTY_peer] = new PropertyDescriptor ( "peer", controles.SigplusLoader.class, "getPeer", null ); // NOI18N
            properties[PROPERTY_preferredSize] = new PropertyDescriptor ( "preferredSize", controles.SigplusLoader.class, "getPreferredSize", "setPreferredSize" ); // NOI18N
            properties[PROPERTY_preferredSizeSet] = new PropertyDescriptor ( "preferredSizeSet", controles.SigplusLoader.class, "isPreferredSizeSet", null ); // NOI18N
            properties[PROPERTY_propertyChangeListeners] = new PropertyDescriptor ( "propertyChangeListeners", controles.SigplusLoader.class, "getPropertyChangeListeners", null ); // NOI18N
            properties[PROPERTY_savePressureData] = new PropertyDescriptor ( "savePressureData", controles.SigplusLoader.class, "getSavePressureData", "setSavePressureData" ); // NOI18N
            properties[PROPERTY_saveSigInfo] = new PropertyDescriptor ( "saveSigInfo", controles.SigplusLoader.class, "getSaveSigInfo", "setSaveSigInfo" ); // NOI18N
            properties[PROPERTY_saveTimeData] = new PropertyDescriptor ( "saveTimeData", controles.SigplusLoader.class, "getSaveTimeData", "setSaveTimeData" ); // NOI18N
            properties[PROPERTY_serialNumber] = new PropertyDescriptor ( "serialNumber", controles.SigplusLoader.class, "getSerialNumber", null ); // NOI18N
            properties[PROPERTY_showing] = new PropertyDescriptor ( "showing", controles.SigplusLoader.class, "isShowing", null ); // NOI18N
            properties[PROPERTY_sigCompressionMode] = new PropertyDescriptor ( "sigCompressionMode", controles.SigplusLoader.class, "getSigCompressionMode", "setSigCompressionMode" ); // NOI18N
            properties[PROPERTY_signatureData] = new PropertyDescriptor ( "signatureData", controles.SigplusLoader.class, "getSignatureData", null ); // NOI18N
            properties[PROPERTY_sigPlusVersion] = new PropertyDescriptor ( "sigPlusVersion", controles.SigplusLoader.class, "getSigPlusVersion", null ); // NOI18N
            properties[PROPERTY_sigReceipt] = new PropertyDescriptor ( "sigReceipt", controles.SigplusLoader.class, "getSigReceipt", null ); // NOI18N
            properties[PROPERTY_sigReceiptAscii] = new PropertyDescriptor ( "sigReceiptAscii", controles.SigplusLoader.class, "getSigReceiptAscii", null ); // NOI18N
            properties[PROPERTY_sigString] = new PropertyDescriptor ( "sigString", controles.SigplusLoader.class, "getSigString", "setSigString" ); // NOI18N
            properties[PROPERTY_size] = new PropertyDescriptor ( "size", controles.SigplusLoader.class, "getSize", "setSize" ); // NOI18N
            properties[PROPERTY_tabletBaudRate] = new PropertyDescriptor ( "tabletBaudRate", controles.SigplusLoader.class, "getTabletBaudRate", "setTabletBaudRate" ); // NOI18N
            properties[PROPERTY_tabletClippingMode] = new PropertyDescriptor ( "tabletClippingMode", controles.SigplusLoader.class, "getTabletClippingMode", "setTabletClippingMode" ); // NOI18N
            properties[PROPERTY_tabletComPort] = new PropertyDescriptor ( "tabletComPort", controles.SigplusLoader.class, "getTabletComPort", "setTabletComPort" ); // NOI18N
            properties[PROPERTY_tabletComTest] = new PropertyDescriptor ( "tabletComTest", controles.SigplusLoader.class, "getTabletComTest", "setTabletComTest" ); // NOI18N
            properties[PROPERTY_tabletFilterPoints] = new PropertyDescriptor ( "tabletFilterPoints", controles.SigplusLoader.class, "getTabletFilterPoints", "setTabletFilterPoints" ); // NOI18N
            properties[PROPERTY_tabletFormat] = new PropertyDescriptor ( "tabletFormat", controles.SigplusLoader.class, "getTabletFormat", "setTabletFormat" ); // NOI18N
            properties[PROPERTY_tabletInvisible] = new PropertyDescriptor ( "tabletInvisible", controles.SigplusLoader.class, "getTabletInvisible", "setTabletInvisible" ); // NOI18N
            properties[PROPERTY_tabletLCDType] = new PropertyDescriptor ( "tabletLCDType", controles.SigplusLoader.class, "getTabletLCDType", null ); // NOI18N
            properties[PROPERTY_tabletLCDXSize] = new PropertyDescriptor ( "tabletLCDXSize", controles.SigplusLoader.class, "getTabletLCDXSize", "setTabletLCDXSize" ); // NOI18N
            properties[PROPERTY_tabletLCDXStart] = new PropertyDescriptor ( "tabletLCDXStart", controles.SigplusLoader.class, "getTabletLCDXStart", "setTabletLCDXStart" ); // NOI18N
            properties[PROPERTY_tabletLCDXStop] = new PropertyDescriptor ( "tabletLCDXStop", controles.SigplusLoader.class, "getTabletLCDXStop", "setTabletLCDXStop" ); // NOI18N
            properties[PROPERTY_tabletLCDYSize] = new PropertyDescriptor ( "tabletLCDYSize", controles.SigplusLoader.class, "getTabletLCDYSize", "setTabletLCDYSize" ); // NOI18N
            properties[PROPERTY_tabletLCDYStart] = new PropertyDescriptor ( "tabletLCDYStart", controles.SigplusLoader.class, "getTabletLCDYStart", "setTabletLCDYStart" ); // NOI18N
            properties[PROPERTY_tabletLCDYStop] = new PropertyDescriptor ( "tabletLCDYStop", controles.SigplusLoader.class, "getTabletLCDYStop", "setTabletLCDYStop" ); // NOI18N
            properties[PROPERTY_tabletLogicalXSize] = new PropertyDescriptor ( "tabletLogicalXSize", controles.SigplusLoader.class, "getTabletLogicalXSize", "setTabletLogicalXSize" ); // NOI18N
            properties[PROPERTY_tabletLogicalYSize] = new PropertyDescriptor ( "tabletLogicalYSize", controles.SigplusLoader.class, "getTabletLogicalYSize", "setTabletLogicalYSize" ); // NOI18N
            properties[PROPERTY_tabletMaxPointDelta] = new PropertyDescriptor ( "tabletMaxPointDelta", controles.SigplusLoader.class, "getTabletMaxPointDelta", "setTabletMaxPointDelta" ); // NOI18N
            properties[PROPERTY_tabletModel] = new PropertyDescriptor ( "tabletModel", controles.SigplusLoader.class, "getTabletModel", "setTabletModel" ); // NOI18N
            properties[PROPERTY_tabletModelNumber] = new PropertyDescriptor ( "tabletModelNumber", controles.SigplusLoader.class, "getTabletModelNumber", null ); // NOI18N
            properties[PROPERTY_tabletResolution] = new PropertyDescriptor ( "tabletResolution", controles.SigplusLoader.class, "getTabletResolution", "setTabletResolution" ); // NOI18N
            properties[PROPERTY_tabletRotation] = new PropertyDescriptor ( "tabletRotation", controles.SigplusLoader.class, "getTabletRotation", "setTabletRotation" ); // NOI18N
            properties[PROPERTY_tabletSerialNumber] = new PropertyDescriptor ( "tabletSerialNumber", controles.SigplusLoader.class, "getTabletSerialNumber", null ); // NOI18N
            properties[PROPERTY_tabletState] = new PropertyDescriptor ( "tabletState", controles.SigplusLoader.class, "getTabletState", "setTabletState" ); // NOI18N
            properties[PROPERTY_tabletTimingAdvance] = new PropertyDescriptor ( "tabletTimingAdvance", controles.SigplusLoader.class, "getTabletTimingAdvance", "setTabletTimingAdvance" ); // NOI18N
            properties[PROPERTY_tabletXStart] = new PropertyDescriptor ( "tabletXStart", controles.SigplusLoader.class, "getTabletXStart", "setTabletXStart" ); // NOI18N
            properties[PROPERTY_tabletXStop] = new PropertyDescriptor ( "tabletXStop", controles.SigplusLoader.class, "getTabletXStop", "setTabletXStop" ); // NOI18N
            properties[PROPERTY_tabletYStart] = new PropertyDescriptor ( "tabletYStart", controles.SigplusLoader.class, "getTabletYStart", "setTabletYStart" ); // NOI18N
            properties[PROPERTY_tabletYStop] = new PropertyDescriptor ( "tabletYStop", controles.SigplusLoader.class, "getTabletYStop", "setTabletYStop" ); // NOI18N
            properties[PROPERTY_timeStamp] = new PropertyDescriptor ( "timeStamp", controles.SigplusLoader.class, "getTimeStamp", "setTimeStamp" ); // NOI18N
            properties[PROPERTY_toolkit] = new PropertyDescriptor ( "toolkit", controles.SigplusLoader.class, "getToolkit", null ); // NOI18N
            properties[PROPERTY_treeLock] = new PropertyDescriptor ( "treeLock", controles.SigplusLoader.class, "getTreeLock", null ); // NOI18N
            properties[PROPERTY_valid] = new PropertyDescriptor ( "valid", controles.SigplusLoader.class, "isValid", null ); // NOI18N
            properties[PROPERTY_visible] = new PropertyDescriptor ( "visible", controles.SigplusLoader.class, "isVisible", "setVisible" ); // NOI18N
            properties[PROPERTY_width] = new PropertyDescriptor ( "width", controles.SigplusLoader.class, "getWidth", null ); // NOI18N
            properties[PROPERTY_x] = new PropertyDescriptor ( "x", controles.SigplusLoader.class, "getX", null ); // NOI18N
            properties[PROPERTY_XExtent] = new PropertyDescriptor ( "XExtent", controles.SigplusLoader.class, "getXExtent", null ); // NOI18N
            properties[PROPERTY_y] = new PropertyDescriptor ( "y", controles.SigplusLoader.class, "getY", null ); // NOI18N
            properties[PROPERTY_YExtent] = new PropertyDescriptor ( "YExtent", controles.SigplusLoader.class, "getYExtent", null ); // NOI18N
        }
        catch(IntrospectionException e) {
            e.printStackTrace();
        }//GEN-HEADEREND:Properties
    // Here you can add code for customizing the properties array.

        return properties;     }//GEN-LAST:Properties

    // EventSet identifiers//GEN-FIRST:Events
    private static final int EVENT_componentListener = 0;
    private static final int EVENT_focusListener = 1;
    private static final int EVENT_hierarchyBoundsListener = 2;
    private static final int EVENT_hierarchyListener = 3;
    private static final int EVENT_inputMethodListener = 4;
    private static final int EVENT_keyListener = 5;
    private static final int EVENT_mouseListener = 6;
    private static final int EVENT_mouseMotionListener = 7;
    private static final int EVENT_mouseWheelListener = 8;
    private static final int EVENT_propertyChangeListener = 9;
    private static final int EVENT_sigPlusListener = 10;

    // EventSet array
    /*lazy EventSetDescriptor*/
    private static EventSetDescriptor[] getEdescriptor(){
        EventSetDescriptor[] eventSets = new EventSetDescriptor[11];
    
        try {
            eventSets[EVENT_componentListener] = new EventSetDescriptor ( controles.SigplusLoader.class, "componentListener", java.awt.event.ComponentListener.class, new String[] {"componentResized", "componentMoved", "componentShown", "componentHidden"}, "addComponentListener", "removeComponentListener" ); // NOI18N
            eventSets[EVENT_focusListener] = new EventSetDescriptor ( controles.SigplusLoader.class, "focusListener", java.awt.event.FocusListener.class, new String[] {"focusGained", "focusLost"}, "addFocusListener", "removeFocusListener" ); // NOI18N
            eventSets[EVENT_hierarchyBoundsListener] = new EventSetDescriptor ( controles.SigplusLoader.class, "hierarchyBoundsListener", java.awt.event.HierarchyBoundsListener.class, new String[] {"ancestorMoved", "ancestorResized"}, "addHierarchyBoundsListener", "removeHierarchyBoundsListener" ); // NOI18N
            eventSets[EVENT_hierarchyListener] = new EventSetDescriptor ( controles.SigplusLoader.class, "hierarchyListener", java.awt.event.HierarchyListener.class, new String[] {"hierarchyChanged"}, "addHierarchyListener", "removeHierarchyListener" ); // NOI18N
            eventSets[EVENT_inputMethodListener] = new EventSetDescriptor ( controles.SigplusLoader.class, "inputMethodListener", java.awt.event.InputMethodListener.class, new String[] {"inputMethodTextChanged", "caretPositionChanged"}, "addInputMethodListener", "removeInputMethodListener" ); // NOI18N
            eventSets[EVENT_keyListener] = new EventSetDescriptor ( controles.SigplusLoader.class, "keyListener", java.awt.event.KeyListener.class, new String[] {"keyTyped", "keyPressed", "keyReleased"}, "addKeyListener", "removeKeyListener" ); // NOI18N
            eventSets[EVENT_mouseListener] = new EventSetDescriptor ( controles.SigplusLoader.class, "mouseListener", java.awt.event.MouseListener.class, new String[] {"mouseClicked", "mousePressed", "mouseReleased", "mouseEntered", "mouseExited"}, "addMouseListener", "removeMouseListener" ); // NOI18N
            eventSets[EVENT_mouseMotionListener] = new EventSetDescriptor ( controles.SigplusLoader.class, "mouseMotionListener", java.awt.event.MouseMotionListener.class, new String[] {"mouseDragged", "mouseMoved"}, "addMouseMotionListener", "removeMouseMotionListener" ); // NOI18N
            eventSets[EVENT_mouseWheelListener] = new EventSetDescriptor ( controles.SigplusLoader.class, "mouseWheelListener", java.awt.event.MouseWheelListener.class, new String[] {"mouseWheelMoved"}, "addMouseWheelListener", "removeMouseWheelListener" ); // NOI18N
            eventSets[EVENT_propertyChangeListener] = new EventSetDescriptor ( controles.SigplusLoader.class, "propertyChangeListener", java.beans.PropertyChangeListener.class, new String[] {"propertyChange"}, "addPropertyChangeListener", "removePropertyChangeListener" ); // NOI18N
            eventSets[EVENT_sigPlusListener] = new EventSetDescriptor ( controles.SigplusLoader.class, "sigPlusListener", com.topaz.sigplus.SigPlusListener.class, new String[] {"handleTabletTimerEvent", "handleNewTabletData", "handleKeyPadData"}, "addSigPlusListener", "removeSigPlusListener" ); // NOI18N
        }
        catch(IntrospectionException e) {
            e.printStackTrace();
        }//GEN-HEADEREND:Events
    // Here you can add code for customizing the event sets array.

        return eventSets;     }//GEN-LAST:Events

    // Method identifiers//GEN-FIRST:Methods
    private static final int METHOD_action0 = 0;
    private static final int METHOD_add1 = 1;
    private static final int METHOD_addNotify2 = 2;
    private static final int METHOD_addPropertyChangeListener3 = 3;
    private static final int METHOD_applyComponentOrientation4 = 4;
    private static final int METHOD_areFocusTraversalKeysSet5 = 5;
    private static final int METHOD_autoKeyAddData6 = 6;
    private static final int METHOD_autoKeyFinish7 = 7;
    private static final int METHOD_autoKeyFromFile8 = 8;
    private static final int METHOD_autoKeyStart9 = 9;
    private static final int METHOD_bounds10 = 10;
    private static final int METHOD_checkImage11 = 11;
    private static final int METHOD_checkImage12 = 12;
    private static final int METHOD_clearTablet13 = 13;
    private static final int METHOD_contains14 = 14;
    private static final int METHOD_contains15 = 15;
    private static final int METHOD_createImage16 = 16;
    private static final int METHOD_createImage17 = 17;
    private static final int METHOD_createVolatileImage18 = 18;
    private static final int METHOD_createVolatileImage19 = 19;
    private static final int METHOD_deliverEvent20 = 20;
    private static final int METHOD_disable21 = 21;
    private static final int METHOD_dispatchEvent22 = 22;
    private static final int METHOD_doLayout23 = 23;
    private static final int METHOD_enable24 = 24;
    private static final int METHOD_enable25 = 25;
    private static final int METHOD_enableInputMethods26 = 26;
    private static final int METHOD_exportSigFile27 = 27;
    private static final int METHOD_fireNewData28 = 28;
    private static final int METHOD_fireNewKeyPadData29 = 29;
    private static final int METHOD_firePropertyChange30 = 30;
    private static final int METHOD_firePropertyChange31 = 31;
    private static final int METHOD_firePropertyChange32 = 32;
    private static final int METHOD_firePropertyChange33 = 33;
    private static final int METHOD_firePropertyChange34 = 34;
    private static final int METHOD_firePropertyChange35 = 35;
    private static final int METHOD_getBaseline36 = 36;
    private static final int METHOD_getBounds37 = 37;
    private static final int METHOD_getComponentAt38 = 38;
    private static final int METHOD_getComponentAt39 = 39;
    private static final int METHOD_getFontMetrics40 = 40;
    private static final int METHOD_getInstance41 = 41;
    private static final int METHOD_getListeners42 = 42;
    private static final int METHOD_getLocation43 = 43;
    private static final int METHOD_getPointPValue44 = 44;
    private static final int METHOD_getPointTValue45 = 45;
    private static final int METHOD_getPointXValue46 = 46;
    private static final int METHOD_getPointYValue47 = 47;
    private static final int METHOD_getPropertyChangeListeners48 = 48;
    private static final int METHOD_getSigPlus49 = 49;
    private static final int METHOD_getSize50 = 50;
    private static final int METHOD_getTabletLCDType51 = 51;
    private static final int METHOD_gotFocus52 = 52;
    private static final int METHOD_handleEvent53 = 53;
    private static final int METHOD_hasFocus54 = 54;
    private static final int METHOD_hide55 = 55;
    private static final int METHOD_imageUpdate56 = 56;
    private static final int METHOD_importSigFile57 = 57;
    private static final int METHOD_inside58 = 58;
    private static final int METHOD_invalidate59 = 59;
    private static final int METHOD_isFocusCycleRoot60 = 60;
    private static final int METHOD_keyDown61 = 61;
    private static final int METHOD_keyPadAddHotSpot62 = 62;
    private static final int METHOD_keyPadClearHotSpotList63 = 63;
    private static final int METHOD_keyPadClearSigWindow64 = 64;
    private static final int METHOD_keyPadQueryHotSpot65 = 65;
    private static final int METHOD_keyPadSetSigWindow66 = 66;
    private static final int METHOD_keyUp67 = 67;
    private static final int METHOD_layout68 = 68;
    private static final int METHOD_lcdRefresh69 = 69;
    private static final int METHOD_lcdSendCmdString70 = 70;
    private static final int METHOD_lcdSetWindow71 = 71;
    private static final int METHOD_lcdWriteImage72 = 72;
    private static final int METHOD_lcdWriteImage73 = 73;
    private static final int METHOD_lcdWriteString74 = 74;
    private static final int METHOD_list75 = 75;
    private static final int METHOD_list76 = 76;
    private static final int METHOD_list77 = 77;
    private static final int METHOD_list78 = 78;
    private static final int METHOD_list79 = 79;
    private static final int METHOD_locate80 = 80;
    private static final int METHOD_location81 = 81;
    private static final int METHOD_lostFocus82 = 82;
    private static final int METHOD_minimumSize83 = 83;
    private static final int METHOD_mouseDown84 = 84;
    private static final int METHOD_mouseDrag85 = 85;
    private static final int METHOD_mouseEnter86 = 86;
    private static final int METHOD_mouseExit87 = 87;
    private static final int METHOD_mouseMove88 = 88;
    private static final int METHOD_mouseUp89 = 89;
    private static final int METHOD_move90 = 90;
    private static final int METHOD_nextFocus91 = 91;
    private static final int METHOD_numberOfTabletPoints92 = 92;
    private static final int METHOD_paint93 = 93;
    private static final int METHOD_paintAll94 = 94;
    private static final int METHOD_postEvent95 = 95;
    private static final int METHOD_preferredSize96 = 96;
    private static final int METHOD_prepareImage97 = 97;
    private static final int METHOD_prepareImage98 = 98;
    private static final int METHOD_print99 = 99;
    private static final int METHOD_printAll100 = 100;
    private static final int METHOD_remove101 = 101;
    private static final int METHOD_removeNotify102 = 102;
    private static final int METHOD_removePropertyChangeListener103 = 103;
    private static final int METHOD_repaint104 = 104;
    private static final int METHOD_repaint105 = 105;
    private static final int METHOD_repaint106 = 106;
    private static final int METHOD_repaint107 = 107;
    private static final int METHOD_requestFocus108 = 108;
    private static final int METHOD_requestFocusInWindow109 = 109;
    private static final int METHOD_reshape110 = 110;
    private static final int METHOD_resize111 = 111;
    private static final int METHOD_resize112 = 112;
    private static final int METHOD_revalidate113 = 113;
    private static final int METHOD_setBounds114 = 114;
    private static final int METHOD_setFocusTraversalKeys115 = 115;
    private static final int METHOD_setLCDTabletMap116 = 116;
    private static final int METHOD_show117 = 117;
    private static final int METHOD_show118 = 118;
    private static final int METHOD_sigImage119 = 119;
    private static final int METHOD_size120 = 120;
    private static final int METHOD_toString121 = 121;
    private static final int METHOD_transferFocus122 = 122;
    private static final int METHOD_transferFocusBackward123 = 123;
    private static final int METHOD_transferFocusUpCycle124 = 124;
    private static final int METHOD_update125 = 125;
    private static final int METHOD_validate126 = 126;

    // Method array 
    /*lazy MethodDescriptor*/
    private static MethodDescriptor[] getMdescriptor(){
        MethodDescriptor[] methods = new MethodDescriptor[127];
    
        try {
            methods[METHOD_action0] = new MethodDescriptor(java.awt.Component.class.getMethod("action", new Class[] {java.awt.Event.class, java.lang.Object.class})); // NOI18N
            methods[METHOD_action0].setDisplayName ( "" );
            methods[METHOD_add1] = new MethodDescriptor(java.awt.Component.class.getMethod("add", new Class[] {java.awt.PopupMenu.class})); // NOI18N
            methods[METHOD_add1].setDisplayName ( "" );
            methods[METHOD_addNotify2] = new MethodDescriptor(java.awt.Component.class.getMethod("addNotify", new Class[] {})); // NOI18N
            methods[METHOD_addNotify2].setDisplayName ( "" );
            methods[METHOD_addPropertyChangeListener3] = new MethodDescriptor(java.awt.Component.class.getMethod("addPropertyChangeListener", new Class[] {java.lang.String.class, java.beans.PropertyChangeListener.class})); // NOI18N
            methods[METHOD_addPropertyChangeListener3].setDisplayName ( "" );
            methods[METHOD_applyComponentOrientation4] = new MethodDescriptor(java.awt.Component.class.getMethod("applyComponentOrientation", new Class[] {java.awt.ComponentOrientation.class})); // NOI18N
            methods[METHOD_applyComponentOrientation4].setDisplayName ( "" );
            methods[METHOD_areFocusTraversalKeysSet5] = new MethodDescriptor(java.awt.Component.class.getMethod("areFocusTraversalKeysSet", new Class[] {int.class})); // NOI18N
            methods[METHOD_areFocusTraversalKeysSet5].setDisplayName ( "" );
            methods[METHOD_autoKeyAddData6] = new MethodDescriptor(com.topaz.sigplus.SigPlus.class.getMethod("autoKeyAddData", new Class[] {byte[].class})); // NOI18N
            methods[METHOD_autoKeyAddData6].setDisplayName ( "" );
            methods[METHOD_autoKeyFinish7] = new MethodDescriptor(com.topaz.sigplus.SigPlus.class.getMethod("autoKeyFinish", new Class[] {})); // NOI18N
            methods[METHOD_autoKeyFinish7].setDisplayName ( "" );
            methods[METHOD_autoKeyFromFile8] = new MethodDescriptor(com.topaz.sigplus.SigPlus.class.getMethod("autoKeyFromFile", new Class[] {java.lang.String.class})); // NOI18N
            methods[METHOD_autoKeyFromFile8].setDisplayName ( "" );
            methods[METHOD_autoKeyStart9] = new MethodDescriptor(com.topaz.sigplus.SigPlus.class.getMethod("autoKeyStart", new Class[] {})); // NOI18N
            methods[METHOD_autoKeyStart9].setDisplayName ( "" );
            methods[METHOD_bounds10] = new MethodDescriptor(java.awt.Component.class.getMethod("bounds", new Class[] {})); // NOI18N
            methods[METHOD_bounds10].setDisplayName ( "" );
            methods[METHOD_checkImage11] = new MethodDescriptor(java.awt.Component.class.getMethod("checkImage", new Class[] {java.awt.Image.class, java.awt.image.ImageObserver.class})); // NOI18N
            methods[METHOD_checkImage11].setDisplayName ( "" );
            methods[METHOD_checkImage12] = new MethodDescriptor(java.awt.Component.class.getMethod("checkImage", new Class[] {java.awt.Image.class, int.class, int.class, java.awt.image.ImageObserver.class})); // NOI18N
            methods[METHOD_checkImage12].setDisplayName ( "" );
            methods[METHOD_clearTablet13] = new MethodDescriptor(com.topaz.sigplus.SigPlus.class.getMethod("clearTablet", new Class[] {})); // NOI18N
            methods[METHOD_clearTablet13].setDisplayName ( "" );
            methods[METHOD_contains14] = new MethodDescriptor(java.awt.Component.class.getMethod("contains", new Class[] {int.class, int.class})); // NOI18N
            methods[METHOD_contains14].setDisplayName ( "" );
            methods[METHOD_contains15] = new MethodDescriptor(java.awt.Component.class.getMethod("contains", new Class[] {java.awt.Point.class})); // NOI18N
            methods[METHOD_contains15].setDisplayName ( "" );
            methods[METHOD_createImage16] = new MethodDescriptor(java.awt.Component.class.getMethod("createImage", new Class[] {java.awt.image.ImageProducer.class})); // NOI18N
            methods[METHOD_createImage16].setDisplayName ( "" );
            methods[METHOD_createImage17] = new MethodDescriptor(java.awt.Component.class.getMethod("createImage", new Class[] {int.class, int.class})); // NOI18N
            methods[METHOD_createImage17].setDisplayName ( "" );
            methods[METHOD_createVolatileImage18] = new MethodDescriptor(java.awt.Component.class.getMethod("createVolatileImage", new Class[] {int.class, int.class})); // NOI18N
            methods[METHOD_createVolatileImage18].setDisplayName ( "" );
            methods[METHOD_createVolatileImage19] = new MethodDescriptor(java.awt.Component.class.getMethod("createVolatileImage", new Class[] {int.class, int.class, java.awt.ImageCapabilities.class})); // NOI18N
            methods[METHOD_createVolatileImage19].setDisplayName ( "" );
            methods[METHOD_deliverEvent20] = new MethodDescriptor(java.awt.Component.class.getMethod("deliverEvent", new Class[] {java.awt.Event.class})); // NOI18N
            methods[METHOD_deliverEvent20].setDisplayName ( "" );
            methods[METHOD_disable21] = new MethodDescriptor(java.awt.Component.class.getMethod("disable", new Class[] {})); // NOI18N
            methods[METHOD_disable21].setDisplayName ( "" );
            methods[METHOD_dispatchEvent22] = new MethodDescriptor(java.awt.Component.class.getMethod("dispatchEvent", new Class[] {java.awt.AWTEvent.class})); // NOI18N
            methods[METHOD_dispatchEvent22].setDisplayName ( "" );
            methods[METHOD_doLayout23] = new MethodDescriptor(java.awt.Component.class.getMethod("doLayout", new Class[] {})); // NOI18N
            methods[METHOD_doLayout23].setDisplayName ( "" );
            methods[METHOD_enable24] = new MethodDescriptor(java.awt.Component.class.getMethod("enable", new Class[] {})); // NOI18N
            methods[METHOD_enable24].setDisplayName ( "" );
            methods[METHOD_enable25] = new MethodDescriptor(java.awt.Component.class.getMethod("enable", new Class[] {boolean.class})); // NOI18N
            methods[METHOD_enable25].setDisplayName ( "" );
            methods[METHOD_enableInputMethods26] = new MethodDescriptor(java.awt.Component.class.getMethod("enableInputMethods", new Class[] {boolean.class})); // NOI18N
            methods[METHOD_enableInputMethods26].setDisplayName ( "" );
            methods[METHOD_exportSigFile27] = new MethodDescriptor(com.topaz.sigplus.SigPlus.class.getMethod("exportSigFile", new Class[] {java.lang.String.class})); // NOI18N
            methods[METHOD_exportSigFile27].setDisplayName ( "" );
            methods[METHOD_fireNewData28] = new MethodDescriptor(com.topaz.sigplus.SigPlus.class.getMethod("fireNewData", new Class[] {})); // NOI18N
            methods[METHOD_fireNewData28].setDisplayName ( "" );
            methods[METHOD_fireNewKeyPadData29] = new MethodDescriptor(com.topaz.sigplus.SigPlus.class.getMethod("fireNewKeyPadData", new Class[] {})); // NOI18N
            methods[METHOD_fireNewKeyPadData29].setDisplayName ( "" );
            methods[METHOD_firePropertyChange30] = new MethodDescriptor(java.awt.Component.class.getMethod("firePropertyChange", new Class[] {java.lang.String.class, byte.class, byte.class})); // NOI18N
            methods[METHOD_firePropertyChange30].setDisplayName ( "" );
            methods[METHOD_firePropertyChange31] = new MethodDescriptor(java.awt.Component.class.getMethod("firePropertyChange", new Class[] {java.lang.String.class, char.class, char.class})); // NOI18N
            methods[METHOD_firePropertyChange31].setDisplayName ( "" );
            methods[METHOD_firePropertyChange32] = new MethodDescriptor(java.awt.Component.class.getMethod("firePropertyChange", new Class[] {java.lang.String.class, short.class, short.class})); // NOI18N
            methods[METHOD_firePropertyChange32].setDisplayName ( "" );
            methods[METHOD_firePropertyChange33] = new MethodDescriptor(java.awt.Component.class.getMethod("firePropertyChange", new Class[] {java.lang.String.class, long.class, long.class})); // NOI18N
            methods[METHOD_firePropertyChange33].setDisplayName ( "" );
            methods[METHOD_firePropertyChange34] = new MethodDescriptor(java.awt.Component.class.getMethod("firePropertyChange", new Class[] {java.lang.String.class, float.class, float.class})); // NOI18N
            methods[METHOD_firePropertyChange34].setDisplayName ( "" );
            methods[METHOD_firePropertyChange35] = new MethodDescriptor(java.awt.Component.class.getMethod("firePropertyChange", new Class[] {java.lang.String.class, double.class, double.class})); // NOI18N
            methods[METHOD_firePropertyChange35].setDisplayName ( "" );
            methods[METHOD_getBaseline36] = new MethodDescriptor(java.awt.Component.class.getMethod("getBaseline", new Class[] {int.class, int.class})); // NOI18N
            methods[METHOD_getBaseline36].setDisplayName ( "" );
            methods[METHOD_getBounds37] = new MethodDescriptor(java.awt.Component.class.getMethod("getBounds", new Class[] {java.awt.Rectangle.class})); // NOI18N
            methods[METHOD_getBounds37].setDisplayName ( "" );
            methods[METHOD_getComponentAt38] = new MethodDescriptor(java.awt.Component.class.getMethod("getComponentAt", new Class[] {int.class, int.class})); // NOI18N
            methods[METHOD_getComponentAt38].setDisplayName ( "" );
            methods[METHOD_getComponentAt39] = new MethodDescriptor(java.awt.Component.class.getMethod("getComponentAt", new Class[] {java.awt.Point.class})); // NOI18N
            methods[METHOD_getComponentAt39].setDisplayName ( "" );
            methods[METHOD_getFontMetrics40] = new MethodDescriptor(java.awt.Component.class.getMethod("getFontMetrics", new Class[] {java.awt.Font.class})); // NOI18N
            methods[METHOD_getFontMetrics40].setDisplayName ( "" );
            methods[METHOD_getInstance41] = new MethodDescriptor(controles.SigplusLoader.class.getMethod("getInstance", new Class[] {})); // NOI18N
            methods[METHOD_getInstance41].setDisplayName ( "" );
            methods[METHOD_getListeners42] = new MethodDescriptor(java.awt.Component.class.getMethod("getListeners", new Class[] {java.lang.Class.class})); // NOI18N
            methods[METHOD_getListeners42].setDisplayName ( "" );
            methods[METHOD_getLocation43] = new MethodDescriptor(java.awt.Component.class.getMethod("getLocation", new Class[] {java.awt.Point.class})); // NOI18N
            methods[METHOD_getLocation43].setDisplayName ( "" );
            methods[METHOD_getPointPValue44] = new MethodDescriptor(com.topaz.sigplus.SigPlus.class.getMethod("getPointPValue", new Class[] {int.class, int.class})); // NOI18N
            methods[METHOD_getPointPValue44].setDisplayName ( "" );
            methods[METHOD_getPointTValue45] = new MethodDescriptor(com.topaz.sigplus.SigPlus.class.getMethod("getPointTValue", new Class[] {int.class, int.class})); // NOI18N
            methods[METHOD_getPointTValue45].setDisplayName ( "" );
            methods[METHOD_getPointXValue46] = new MethodDescriptor(com.topaz.sigplus.SigPlus.class.getMethod("getPointXValue", new Class[] {int.class, int.class})); // NOI18N
            methods[METHOD_getPointXValue46].setDisplayName ( "" );
            methods[METHOD_getPointYValue47] = new MethodDescriptor(com.topaz.sigplus.SigPlus.class.getMethod("getPointYValue", new Class[] {int.class, int.class})); // NOI18N
            methods[METHOD_getPointYValue47].setDisplayName ( "" );
            methods[METHOD_getPropertyChangeListeners48] = new MethodDescriptor(java.awt.Component.class.getMethod("getPropertyChangeListeners", new Class[] {java.lang.String.class})); // NOI18N
            methods[METHOD_getPropertyChangeListeners48].setDisplayName ( "" );
            methods[METHOD_getSigPlus49] = new MethodDescriptor(controles.SigplusLoader.class.getMethod("getSigPlus", new Class[] {})); // NOI18N
            methods[METHOD_getSigPlus49].setDisplayName ( "" );
            methods[METHOD_getSize50] = new MethodDescriptor(java.awt.Component.class.getMethod("getSize", new Class[] {java.awt.Dimension.class})); // NOI18N
            methods[METHOD_getSize50].setDisplayName ( "" );
            methods[METHOD_getTabletLCDType51] = new MethodDescriptor(com.topaz.sigplus.SigPlus.class.getMethod("getTabletLCDType", new Class[] {int.class})); // NOI18N
            methods[METHOD_getTabletLCDType51].setDisplayName ( "" );
            methods[METHOD_gotFocus52] = new MethodDescriptor(java.awt.Component.class.getMethod("gotFocus", new Class[] {java.awt.Event.class, java.lang.Object.class})); // NOI18N
            methods[METHOD_gotFocus52].setDisplayName ( "" );
            methods[METHOD_handleEvent53] = new MethodDescriptor(java.awt.Component.class.getMethod("handleEvent", new Class[] {java.awt.Event.class})); // NOI18N
            methods[METHOD_handleEvent53].setDisplayName ( "" );
            methods[METHOD_hasFocus54] = new MethodDescriptor(java.awt.Component.class.getMethod("hasFocus", new Class[] {})); // NOI18N
            methods[METHOD_hasFocus54].setDisplayName ( "" );
            methods[METHOD_hide55] = new MethodDescriptor(java.awt.Component.class.getMethod("hide", new Class[] {})); // NOI18N
            methods[METHOD_hide55].setDisplayName ( "" );
            methods[METHOD_imageUpdate56] = new MethodDescriptor(java.awt.Component.class.getMethod("imageUpdate", new Class[] {java.awt.Image.class, int.class, int.class, int.class, int.class, int.class})); // NOI18N
            methods[METHOD_imageUpdate56].setDisplayName ( "" );
            methods[METHOD_importSigFile57] = new MethodDescriptor(com.topaz.sigplus.SigPlus.class.getMethod("importSigFile", new Class[] {java.lang.String.class})); // NOI18N
            methods[METHOD_importSigFile57].setDisplayName ( "" );
            methods[METHOD_inside58] = new MethodDescriptor(java.awt.Component.class.getMethod("inside", new Class[] {int.class, int.class})); // NOI18N
            methods[METHOD_inside58].setDisplayName ( "" );
            methods[METHOD_invalidate59] = new MethodDescriptor(java.awt.Component.class.getMethod("invalidate", new Class[] {})); // NOI18N
            methods[METHOD_invalidate59].setDisplayName ( "" );
            methods[METHOD_isFocusCycleRoot60] = new MethodDescriptor(java.awt.Component.class.getMethod("isFocusCycleRoot", new Class[] {java.awt.Container.class})); // NOI18N
            methods[METHOD_isFocusCycleRoot60].setDisplayName ( "" );
            methods[METHOD_keyDown61] = new MethodDescriptor(java.awt.Component.class.getMethod("keyDown", new Class[] {java.awt.Event.class, int.class})); // NOI18N
            methods[METHOD_keyDown61].setDisplayName ( "" );
            methods[METHOD_keyPadAddHotSpot62] = new MethodDescriptor(com.topaz.sigplus.SigPlus.class.getMethod("keyPadAddHotSpot", new Class[] {int.class, int.class, int.class, int.class, int.class, int.class})); // NOI18N
            methods[METHOD_keyPadAddHotSpot62].setDisplayName ( "" );
            methods[METHOD_keyPadClearHotSpotList63] = new MethodDescriptor(com.topaz.sigplus.SigPlus.class.getMethod("keyPadClearHotSpotList", new Class[] {})); // NOI18N
            methods[METHOD_keyPadClearHotSpotList63].setDisplayName ( "" );
            methods[METHOD_keyPadClearSigWindow64] = new MethodDescriptor(com.topaz.sigplus.SigPlus.class.getMethod("keyPadClearSigWindow", new Class[] {int.class})); // NOI18N
            methods[METHOD_keyPadClearSigWindow64].setDisplayName ( "" );
            methods[METHOD_keyPadQueryHotSpot65] = new MethodDescriptor(com.topaz.sigplus.SigPlus.class.getMethod("keyPadQueryHotSpot", new Class[] {int.class})); // NOI18N
            methods[METHOD_keyPadQueryHotSpot65].setDisplayName ( "" );
            methods[METHOD_keyPadSetSigWindow66] = new MethodDescriptor(com.topaz.sigplus.SigPlus.class.getMethod("keyPadSetSigWindow", new Class[] {int.class, int.class, int.class, int.class, int.class})); // NOI18N
            methods[METHOD_keyPadSetSigWindow66].setDisplayName ( "" );
            methods[METHOD_keyUp67] = new MethodDescriptor(java.awt.Component.class.getMethod("keyUp", new Class[] {java.awt.Event.class, int.class})); // NOI18N
            methods[METHOD_keyUp67].setDisplayName ( "" );
            methods[METHOD_layout68] = new MethodDescriptor(java.awt.Component.class.getMethod("layout", new Class[] {})); // NOI18N
            methods[METHOD_layout68].setDisplayName ( "" );
            methods[METHOD_lcdRefresh69] = new MethodDescriptor(com.topaz.sigplus.SigPlus.class.getMethod("lcdRefresh", new Class[] {int.class, int.class, int.class, int.class, int.class})); // NOI18N
            methods[METHOD_lcdRefresh69].setDisplayName ( "" );
            methods[METHOD_lcdSendCmdString70] = new MethodDescriptor(com.topaz.sigplus.SigPlus.class.getMethod("lcdSendCmdString", new Class[] {byte[].class, int.class, long.class})); // NOI18N
            methods[METHOD_lcdSendCmdString70].setDisplayName ( "" );
            methods[METHOD_lcdSetWindow71] = new MethodDescriptor(com.topaz.sigplus.SigPlus.class.getMethod("lcdSetWindow", new Class[] {int.class, int.class, int.class, int.class})); // NOI18N
            methods[METHOD_lcdSetWindow71].setDisplayName ( "" );
            methods[METHOD_lcdWriteImage72] = new MethodDescriptor(com.topaz.sigplus.SigPlus.class.getMethod("lcdWriteImage", new Class[] {int.class, int.class, int.class, int.class, int.class, int.class, java.awt.Image.class})); // NOI18N
            methods[METHOD_lcdWriteImage72].setDisplayName ( "" );
            methods[METHOD_lcdWriteImage73] = new MethodDescriptor(com.topaz.sigplus.SigPlus.class.getMethod("lcdWriteImage", new Class[] {int.class, int.class, int.class, int.class, int.class, int.class, java.awt.Image.class, int.class})); // NOI18N
            methods[METHOD_lcdWriteImage73].setDisplayName ( "" );
            methods[METHOD_lcdWriteString74] = new MethodDescriptor(com.topaz.sigplus.SigPlus.class.getMethod("lcdWriteString", new Class[] {int.class, int.class, int.class, int.class, java.lang.String.class, java.awt.Font.class})); // NOI18N
            methods[METHOD_lcdWriteString74].setDisplayName ( "" );
            methods[METHOD_list75] = new MethodDescriptor(java.awt.Component.class.getMethod("list", new Class[] {})); // NOI18N
            methods[METHOD_list75].setDisplayName ( "" );
            methods[METHOD_list76] = new MethodDescriptor(java.awt.Component.class.getMethod("list", new Class[] {java.io.PrintStream.class})); // NOI18N
            methods[METHOD_list76].setDisplayName ( "" );
            methods[METHOD_list77] = new MethodDescriptor(java.awt.Component.class.getMethod("list", new Class[] {java.io.PrintStream.class, int.class})); // NOI18N
            methods[METHOD_list77].setDisplayName ( "" );
            methods[METHOD_list78] = new MethodDescriptor(java.awt.Component.class.getMethod("list", new Class[] {java.io.PrintWriter.class})); // NOI18N
            methods[METHOD_list78].setDisplayName ( "" );
            methods[METHOD_list79] = new MethodDescriptor(java.awt.Component.class.getMethod("list", new Class[] {java.io.PrintWriter.class, int.class})); // NOI18N
            methods[METHOD_list79].setDisplayName ( "" );
            methods[METHOD_locate80] = new MethodDescriptor(java.awt.Component.class.getMethod("locate", new Class[] {int.class, int.class})); // NOI18N
            methods[METHOD_locate80].setDisplayName ( "" );
            methods[METHOD_location81] = new MethodDescriptor(java.awt.Component.class.getMethod("location", new Class[] {})); // NOI18N
            methods[METHOD_location81].setDisplayName ( "" );
            methods[METHOD_lostFocus82] = new MethodDescriptor(java.awt.Component.class.getMethod("lostFocus", new Class[] {java.awt.Event.class, java.lang.Object.class})); // NOI18N
            methods[METHOD_lostFocus82].setDisplayName ( "" );
            methods[METHOD_minimumSize83] = new MethodDescriptor(java.awt.Component.class.getMethod("minimumSize", new Class[] {})); // NOI18N
            methods[METHOD_minimumSize83].setDisplayName ( "" );
            methods[METHOD_mouseDown84] = new MethodDescriptor(java.awt.Component.class.getMethod("mouseDown", new Class[] {java.awt.Event.class, int.class, int.class})); // NOI18N
            methods[METHOD_mouseDown84].setDisplayName ( "" );
            methods[METHOD_mouseDrag85] = new MethodDescriptor(java.awt.Component.class.getMethod("mouseDrag", new Class[] {java.awt.Event.class, int.class, int.class})); // NOI18N
            methods[METHOD_mouseDrag85].setDisplayName ( "" );
            methods[METHOD_mouseEnter86] = new MethodDescriptor(java.awt.Component.class.getMethod("mouseEnter", new Class[] {java.awt.Event.class, int.class, int.class})); // NOI18N
            methods[METHOD_mouseEnter86].setDisplayName ( "" );
            methods[METHOD_mouseExit87] = new MethodDescriptor(java.awt.Component.class.getMethod("mouseExit", new Class[] {java.awt.Event.class, int.class, int.class})); // NOI18N
            methods[METHOD_mouseExit87].setDisplayName ( "" );
            methods[METHOD_mouseMove88] = new MethodDescriptor(java.awt.Component.class.getMethod("mouseMove", new Class[] {java.awt.Event.class, int.class, int.class})); // NOI18N
            methods[METHOD_mouseMove88].setDisplayName ( "" );
            methods[METHOD_mouseUp89] = new MethodDescriptor(java.awt.Component.class.getMethod("mouseUp", new Class[] {java.awt.Event.class, int.class, int.class})); // NOI18N
            methods[METHOD_mouseUp89].setDisplayName ( "" );
            methods[METHOD_move90] = new MethodDescriptor(java.awt.Component.class.getMethod("move", new Class[] {int.class, int.class})); // NOI18N
            methods[METHOD_move90].setDisplayName ( "" );
            methods[METHOD_nextFocus91] = new MethodDescriptor(java.awt.Component.class.getMethod("nextFocus", new Class[] {})); // NOI18N
            methods[METHOD_nextFocus91].setDisplayName ( "" );
            methods[METHOD_numberOfTabletPoints92] = new MethodDescriptor(com.topaz.sigplus.SigPlus.class.getMethod("numberOfTabletPoints", new Class[] {})); // NOI18N
            methods[METHOD_numberOfTabletPoints92].setDisplayName ( "" );
            methods[METHOD_paint93] = new MethodDescriptor(com.topaz.sigplus.SigPlus.class.getMethod("paint", new Class[] {java.awt.Graphics.class})); // NOI18N
            methods[METHOD_paint93].setDisplayName ( "" );
            methods[METHOD_paintAll94] = new MethodDescriptor(java.awt.Component.class.getMethod("paintAll", new Class[] {java.awt.Graphics.class})); // NOI18N
            methods[METHOD_paintAll94].setDisplayName ( "" );
            methods[METHOD_postEvent95] = new MethodDescriptor(java.awt.Component.class.getMethod("postEvent", new Class[] {java.awt.Event.class})); // NOI18N
            methods[METHOD_postEvent95].setDisplayName ( "" );
            methods[METHOD_preferredSize96] = new MethodDescriptor(java.awt.Component.class.getMethod("preferredSize", new Class[] {})); // NOI18N
            methods[METHOD_preferredSize96].setDisplayName ( "" );
            methods[METHOD_prepareImage97] = new MethodDescriptor(java.awt.Component.class.getMethod("prepareImage", new Class[] {java.awt.Image.class, java.awt.image.ImageObserver.class})); // NOI18N
            methods[METHOD_prepareImage97].setDisplayName ( "" );
            methods[METHOD_prepareImage98] = new MethodDescriptor(java.awt.Component.class.getMethod("prepareImage", new Class[] {java.awt.Image.class, int.class, int.class, java.awt.image.ImageObserver.class})); // NOI18N
            methods[METHOD_prepareImage98].setDisplayName ( "" );
            methods[METHOD_print99] = new MethodDescriptor(java.awt.Component.class.getMethod("print", new Class[] {java.awt.Graphics.class})); // NOI18N
            methods[METHOD_print99].setDisplayName ( "" );
            methods[METHOD_printAll100] = new MethodDescriptor(java.awt.Component.class.getMethod("printAll", new Class[] {java.awt.Graphics.class})); // NOI18N
            methods[METHOD_printAll100].setDisplayName ( "" );
            methods[METHOD_remove101] = new MethodDescriptor(java.awt.Component.class.getMethod("remove", new Class[] {java.awt.MenuComponent.class})); // NOI18N
            methods[METHOD_remove101].setDisplayName ( "" );
            methods[METHOD_removeNotify102] = new MethodDescriptor(java.awt.Component.class.getMethod("removeNotify", new Class[] {})); // NOI18N
            methods[METHOD_removeNotify102].setDisplayName ( "" );
            methods[METHOD_removePropertyChangeListener103] = new MethodDescriptor(java.awt.Component.class.getMethod("removePropertyChangeListener", new Class[] {java.lang.String.class, java.beans.PropertyChangeListener.class})); // NOI18N
            methods[METHOD_removePropertyChangeListener103].setDisplayName ( "" );
            methods[METHOD_repaint104] = new MethodDescriptor(java.awt.Component.class.getMethod("repaint", new Class[] {})); // NOI18N
            methods[METHOD_repaint104].setDisplayName ( "" );
            methods[METHOD_repaint105] = new MethodDescriptor(java.awt.Component.class.getMethod("repaint", new Class[] {long.class})); // NOI18N
            methods[METHOD_repaint105].setDisplayName ( "" );
            methods[METHOD_repaint106] = new MethodDescriptor(java.awt.Component.class.getMethod("repaint", new Class[] {int.class, int.class, int.class, int.class})); // NOI18N
            methods[METHOD_repaint106].setDisplayName ( "" );
            methods[METHOD_repaint107] = new MethodDescriptor(java.awt.Component.class.getMethod("repaint", new Class[] {long.class, int.class, int.class, int.class, int.class})); // NOI18N
            methods[METHOD_repaint107].setDisplayName ( "" );
            methods[METHOD_requestFocus108] = new MethodDescriptor(java.awt.Component.class.getMethod("requestFocus", new Class[] {})); // NOI18N
            methods[METHOD_requestFocus108].setDisplayName ( "" );
            methods[METHOD_requestFocusInWindow109] = new MethodDescriptor(java.awt.Component.class.getMethod("requestFocusInWindow", new Class[] {})); // NOI18N
            methods[METHOD_requestFocusInWindow109].setDisplayName ( "" );
            methods[METHOD_reshape110] = new MethodDescriptor(java.awt.Component.class.getMethod("reshape", new Class[] {int.class, int.class, int.class, int.class})); // NOI18N
            methods[METHOD_reshape110].setDisplayName ( "" );
            methods[METHOD_resize111] = new MethodDescriptor(java.awt.Component.class.getMethod("resize", new Class[] {int.class, int.class})); // NOI18N
            methods[METHOD_resize111].setDisplayName ( "" );
            methods[METHOD_resize112] = new MethodDescriptor(java.awt.Component.class.getMethod("resize", new Class[] {java.awt.Dimension.class})); // NOI18N
            methods[METHOD_resize112].setDisplayName ( "" );
            methods[METHOD_revalidate113] = new MethodDescriptor(java.awt.Component.class.getMethod("revalidate", new Class[] {})); // NOI18N
            methods[METHOD_revalidate113].setDisplayName ( "" );
            methods[METHOD_setBounds114] = new MethodDescriptor(java.awt.Component.class.getMethod("setBounds", new Class[] {int.class, int.class, int.class, int.class})); // NOI18N
            methods[METHOD_setBounds114].setDisplayName ( "" );
            methods[METHOD_setFocusTraversalKeys115] = new MethodDescriptor(java.awt.Component.class.getMethod("setFocusTraversalKeys", new Class[] {int.class, java.util.Set.class})); // NOI18N
            methods[METHOD_setFocusTraversalKeys115].setDisplayName ( "" );
            methods[METHOD_setLCDTabletMap116] = new MethodDescriptor(com.topaz.sigplus.SigPlus.class.getMethod("setLCDTabletMap", new Class[] {int.class, int.class, int.class, int.class, int.class, int.class, int.class, int.class, int.class, int.class})); // NOI18N
            methods[METHOD_setLCDTabletMap116].setDisplayName ( "" );
            methods[METHOD_show117] = new MethodDescriptor(java.awt.Component.class.getMethod("show", new Class[] {})); // NOI18N
            methods[METHOD_show117].setDisplayName ( "" );
            methods[METHOD_show118] = new MethodDescriptor(java.awt.Component.class.getMethod("show", new Class[] {boolean.class})); // NOI18N
            methods[METHOD_show118].setDisplayName ( "" );
            methods[METHOD_sigImage119] = new MethodDescriptor(com.topaz.sigplus.SigPlus.class.getMethod("sigImage", new Class[] {})); // NOI18N
            methods[METHOD_sigImage119].setDisplayName ( "" );
            methods[METHOD_size120] = new MethodDescriptor(java.awt.Component.class.getMethod("size", new Class[] {})); // NOI18N
            methods[METHOD_size120].setDisplayName ( "" );
            methods[METHOD_toString121] = new MethodDescriptor(java.awt.Component.class.getMethod("toString", new Class[] {})); // NOI18N
            methods[METHOD_toString121].setDisplayName ( "" );
            methods[METHOD_transferFocus122] = new MethodDescriptor(java.awt.Component.class.getMethod("transferFocus", new Class[] {})); // NOI18N
            methods[METHOD_transferFocus122].setDisplayName ( "" );
            methods[METHOD_transferFocusBackward123] = new MethodDescriptor(java.awt.Component.class.getMethod("transferFocusBackward", new Class[] {})); // NOI18N
            methods[METHOD_transferFocusBackward123].setDisplayName ( "" );
            methods[METHOD_transferFocusUpCycle124] = new MethodDescriptor(java.awt.Component.class.getMethod("transferFocusUpCycle", new Class[] {})); // NOI18N
            methods[METHOD_transferFocusUpCycle124].setDisplayName ( "" );
            methods[METHOD_update125] = new MethodDescriptor(java.awt.Component.class.getMethod("update", new Class[] {java.awt.Graphics.class})); // NOI18N
            methods[METHOD_update125].setDisplayName ( "" );
            methods[METHOD_validate126] = new MethodDescriptor(java.awt.Component.class.getMethod("validate", new Class[] {})); // NOI18N
            methods[METHOD_validate126].setDisplayName ( "" );
        }
        catch( Exception e) {}//GEN-HEADEREND:Methods
    // Here you can add code for customizing the methods array.

        return methods;     }//GEN-LAST:Methods

    private static java.awt.Image iconColor16 = null;//GEN-BEGIN:IconsDef
    private static java.awt.Image iconColor32 = null;
    private static java.awt.Image iconMono16 = null;
    private static java.awt.Image iconMono32 = null;//GEN-END:IconsDef
    private static String iconNameC16 = null;//GEN-BEGIN:Icons
    private static String iconNameC32 = null;
    private static String iconNameM16 = null;
    private static String iconNameM32 = null;//GEN-END:Icons

    private static final int defaultPropertyIndex = -1;//GEN-BEGIN:Idx
    private static final int defaultEventIndex = -1;//GEN-END:Idx


//GEN-FIRST:Superclass
    // Here you can add code for customizing the Superclass BeanInfo.

//GEN-LAST:Superclass
    /**
     * Gets the bean's <code>BeanDescriptor</code>s.
     *
     * @return BeanDescriptor describing the editable properties of this bean.
     * May return null if the information should be obtained by automatic
     * analysis.
     */
    @Override
    public BeanDescriptor getBeanDescriptor() {
        return getBdescriptor();
    }

    /**
     * Gets the bean's <code>PropertyDescriptor</code>s.
     *
     * @return An array of PropertyDescriptors describing the editable
     * properties supported by this bean. May return null if the information
     * should be obtained by automatic analysis.
     * <p>
     * If a property is indexed, then its entry in the result array will belong
     * to the IndexedPropertyDescriptor subclass of PropertyDescriptor. A client
     * of getPropertyDescriptors can use "instanceof" to check if a given
     * PropertyDescriptor is an IndexedPropertyDescriptor.
     */
    @Override
    public PropertyDescriptor[] getPropertyDescriptors() {
        return getPdescriptor();
    }

    /**
     * Gets the bean's <code>EventSetDescriptor</code>s.
     *
     * @return An array of EventSetDescriptors describing the kinds of events
     * fired by this bean. May return null if the information should be obtained
     * by automatic analysis.
     */
    @Override
    public EventSetDescriptor[] getEventSetDescriptors() {
        return getEdescriptor();
    }

    /**
     * Gets the bean's <code>MethodDescriptor</code>s.
     *
     * @return An array of MethodDescriptors describing the methods implemented
     * by this bean. May return null if the information should be obtained by
     * automatic analysis.
     */
    @Override
    public MethodDescriptor[] getMethodDescriptors() {
        return getMdescriptor();
    }

    /**
     * A bean may have a "default" property that is the property that will
     * mostly commonly be initially chosen for update by human's who are
     * customizing the bean.
     *
     * @return Index of default property in the PropertyDescriptor array
     * returned by getPropertyDescriptors.
     * <P>
     * Returns -1 if there is no default property.
     */
    @Override
    public int getDefaultPropertyIndex() {
        return defaultPropertyIndex;
    }

    /**
     * A bean may have a "default" event that is the event that will mostly
     * commonly be used by human's when using the bean.
     *
     * @return Index of default event in the EventSetDescriptor array returned
     * by getEventSetDescriptors.
     * <P>
     * Returns -1 if there is no default event.
     */
    @Override
    public int getDefaultEventIndex() {
        return defaultEventIndex;
    }

    /**
     * This method returns an image object that can be used to represent the
     * bean in toolboxes, toolbars, etc. Icon images will typically be GIFs, but
     * may in future include other formats.
     * <p>
     * Beans aren't required to provide icons and may return null from this
     * method.
     * <p>
     * There are four possible flavors of icons (16x16 color, 32x32 color, 16x16
     * mono, 32x32 mono). If a bean choses to only support a single icon we
     * recommend supporting 16x16 color.
     * <p>
     * We recommend that icons have a "transparent" background so they can be
     * rendered onto an existing background.
     *
     * @param iconKind The kind of icon requested. This should be one of the
     * constant values ICON_COLOR_16x16, ICON_COLOR_32x32, ICON_MONO_16x16, or
     * ICON_MONO_32x32.
     * @return An image object representing the requested icon. May return null
     * if no suitable icon is available.
     */
    @Override
    public java.awt.Image getIcon(int iconKind) {
        switch (iconKind) {
            case ICON_COLOR_16x16:
                if (iconNameC16 == null) {
                    return null;
                } else {
                    if (iconColor16 == null) {
                        iconColor16 = loadImage(iconNameC16);
                    }
                    return iconColor16;
                }
            case ICON_COLOR_32x32:
                if (iconNameC32 == null) {
                    return null;
                } else {
                    if (iconColor32 == null) {
                        iconColor32 = loadImage(iconNameC32);
                    }
                    return iconColor32;
                }
            case ICON_MONO_16x16:
                if (iconNameM16 == null) {
                    return null;
                } else {
                    if (iconMono16 == null) {
                        iconMono16 = loadImage(iconNameM16);
                    }
                    return iconMono16;
                }
            case ICON_MONO_32x32:
                if (iconNameM32 == null) {
                    return null;
                } else {
                    if (iconMono32 == null) {
                        iconMono32 = loadImage(iconNameM32);
                    }
                    return iconMono32;
                }
            default:
                return null;
        }
    }
    
}
