/* 
 * Copyright (C) 2014 Andersson Paz Narvaez
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
package org.idrobo.historia.odontograma;

import java.beans.PropertyChangeListener;
import java.beans.PropertyChangeSupport;



/**
 *
 * @author Usuario
 */
public class OdontogramaDiente  {
   
    private PropertyChangeSupport changeSupport = new PropertyChangeSupport(this);
   
    
  
  
    private int numDiente;
   
    private Integer total;
   
    private Integer v;
   
    private Integer m;
 
    private Integer d;
   
    private Integer p;
  
    private Integer l;
  
    private Integer o;
    
   

    public OdontogramaDiente() {
    }   

   

    public int getNumDiente() {
        return numDiente;
    }

    public void setNumDiente(int numDiente) {
        int oldNumDiente = this.numDiente;
        this.numDiente = numDiente;
        changeSupport.firePropertyChange("numDiente", oldNumDiente, numDiente);
    }

    public Integer getTotal() {
        return total;
    }

    public void setTotal(Integer total) {
        Integer oldTotal = this.total;
        this.total = total;
        changeSupport.firePropertyChange("total", oldTotal, total);
    }

    public Integer getV() {
        return v;
    }

    public void setV(Integer v) {
        Integer oldV = this.v;
        this.v = v;
        changeSupport.firePropertyChange("v", oldV, v);
    }

    public Integer getM() {
        return m;
    }

    public void setM(Integer m) {
        Integer oldM = this.m;
        this.m = m;
        changeSupport.firePropertyChange("m", oldM, m);
    }

    public Integer getD() {
        return d;
    }

    public void setD(Integer d) {
        Integer oldD = this.d;
        this.d = d;
        changeSupport.firePropertyChange("d", oldD, d);
    }

    public Integer getP() {
        return p;
    }

    public void setP(Integer p) {
        Integer oldP = this.p;
        this.p = p;
        changeSupport.firePropertyChange("p", oldP, p);
    }

    public Integer getL() {
        return l;
    }

    public void setL(Integer l) {
        Integer oldL = this.l;
        this.l = l;
        changeSupport.firePropertyChange("l", oldL, l);
    }

    public Integer getO() {
        return o;
    }

    public void setO(Integer o) {
        Integer oldO = this.o;
        this.o = o;
        changeSupport.firePropertyChange("o", oldO, o);
    }

    @Override
    public int hashCode() {
        int hash = 7;
        hash = 67 * hash + this.numDiente;
        return hash;
    }

    

   

   

    @Override
    public boolean equals(Object obj) {
        if (obj == null) {
            return false;
        }
        if (getClass() != obj.getClass()) {
            return false;
        }
        final OdontogramaDiente other = (OdontogramaDiente) obj;
        if (this.numDiente != other.numDiente) {
            return false;
        }
        return true;
    }

   

    @Override
    public String toString() {
        return ""+numDiente;
    }

    public void addPropertyChangeListener(PropertyChangeListener listener) {
        changeSupport.addPropertyChangeListener(listener);
    }

    public void removePropertyChangeListener(PropertyChangeListener listener) {
        changeSupport.removePropertyChangeListener(listener);
    }
    
}
