/* 
 * Copyright (C) 2014 Andersson Paz Narvaez
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
package org.idrobo.historia.odontograma;

import java.awt.Color;
import java.awt.event.ActionEvent;
import java.awt.event.KeyEvent;
import javax.swing.AbstractAction;
import javax.swing.ActionMap;
import javax.swing.InputMap;
import javax.swing.JButton;
import javax.swing.JComponent;
import javax.swing.KeyStroke;
import utilidades.Convencion;
import utilidades.Convenciones;

/**
 *
 * @author Usuario
 */
public class ZoomPlaca extends javax.swing.JDialog {

    /**
     * A return status code - returned if Cancel button has been pressed
     */
    public static final int RET_CANCEL = 0;
    /**
     * A return status code - returned if OK button has been pressed
     */
    public static final int RET_OK = 1;

    /**
     * Creates new form Zoon
     */
    private DientePlaca diente_placa;
    private Convencion c;   
    Color color_defecto=new JButton().getBackground();
     private boolean v=true;
    private boolean m=true;
    private boolean d=true;
    private boolean l=true;
    private boolean o=true;
    private boolean f=true;
    private boolean t=true;
    public void setC(Convencion c) {
        this.c = c;
    }

    public void setDiente_Placa(DientePlaca diente_placa) {
        this.diente_placa = diente_placa;
        
    }

    public ZoomPlaca(java.awt.Frame parent, boolean modal) {
        super(parent, modal);
        initComponents();

        // Close the dialog when Esc is pressed
        String cancelName = "cancel";
        InputMap inputMap = getRootPane().getInputMap(JComponent.WHEN_ANCESTOR_OF_FOCUSED_COMPONENT);
        inputMap.put(KeyStroke.getKeyStroke(KeyEvent.VK_ESCAPE, 0), cancelName);
        ActionMap actionMap = getRootPane().getActionMap();
        actionMap.put(cancelName, new AbstractAction() {
            public void actionPerformed(ActionEvent e) {
                doClose(RET_CANCEL);
            }
        });
    }

    /**
     * @return the return status of this dialog - one of RET_OK or RET_CANCEL
     */
    public int getReturnStatus() {
        return returnStatus;
    }

    /**
     * This method is called from within the constructor to initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is always
     * regenerated by the Form Editor.
     */
    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        jButton1 = new javax.swing.JButton();
        okButton = new javax.swing.JButton();
        oclusal = new javax.swing.JButton();
        distal = new javax.swing.JButton();
        lingual = new javax.swing.JButton();
        mesial = new javax.swing.JButton();
        vestibular = new javax.swing.JButton();
        frontal = new javax.swing.JButton();
        trasero = new javax.swing.JButton();

        jButton1.setText("jButton1");

        setModalityType(java.awt.Dialog.ModalityType.TOOLKIT_MODAL);
        setType(java.awt.Window.Type.UTILITY);
        addWindowListener(new java.awt.event.WindowAdapter() {
            public void windowClosing(java.awt.event.WindowEvent evt) {
                closeDialog(evt);
            }
        });

        okButton.setText("OK");
        okButton.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                okButtonActionPerformed(evt);
            }
        });

        oclusal.setText("oclusal");
        oclusal.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                oclusalActionPerformed(evt);
            }
        });

        distal.setText("<html>d<br/>i<br/>s<br/>t<br/>a<br/>l</html>");
        distal.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                distalActionPerformed(evt);
            }
        });

        lingual.setText("lingual");
        lingual.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                lingualActionPerformed(evt);
            }
        });

        mesial.setText("<html>m<br/>e<br/>s<br/>i<br/>a<br/>l</html>");
        mesial.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                mesialActionPerformed(evt);
            }
        });

        vestibular.setText("vestibular");
        vestibular.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                vestibularActionPerformed(evt);
            }
        });

        frontal.setText(" ");
        frontal.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                frontalActionPerformed(evt);
            }
        });

        trasero.setText(" ");
        trasero.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                traseroActionPerformed(evt);
            }
        });

        javax.swing.GroupLayout layout = new javax.swing.GroupLayout(getContentPane());
        getContentPane().setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(layout.createSequentialGroup()
                .addContainerGap()
                .addComponent(mesial, javax.swing.GroupLayout.PREFERRED_SIZE, 23, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(layout.createSequentialGroup()
                        .addGap(0, 0, Short.MAX_VALUE)
                        .addComponent(okButton, javax.swing.GroupLayout.PREFERRED_SIZE, 67, javax.swing.GroupLayout.PREFERRED_SIZE))
                    .addGroup(layout.createSequentialGroup()
                        .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING, false)
                            .addComponent(frontal, javax.swing.GroupLayout.Alignment.LEADING, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                            .addComponent(trasero, javax.swing.GroupLayout.Alignment.LEADING, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                            .addComponent(oclusal, javax.swing.GroupLayout.Alignment.LEADING, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                            .addComponent(vestibular, javax.swing.GroupLayout.Alignment.LEADING, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                            .addComponent(lingual, javax.swing.GroupLayout.Alignment.LEADING, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(distal, javax.swing.GroupLayout.PREFERRED_SIZE, 23, javax.swing.GroupLayout.PREFERRED_SIZE)
                        .addGap(0, 0, Short.MAX_VALUE)))
                .addContainerGap())
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, layout.createSequentialGroup()
                .addGap(41, 41, 41)
                .addComponent(frontal)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(vestibular)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addComponent(mesial)
                    .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, layout.createSequentialGroup()
                        .addGap(0, 0, Short.MAX_VALUE)
                        .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                            .addComponent(oclusal, javax.swing.GroupLayout.PREFERRED_SIZE, 92, javax.swing.GroupLayout.PREFERRED_SIZE)
                            .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, layout.createSequentialGroup()
                                .addComponent(distal, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                                .addGap(1, 1, 1)))))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(lingual)
                .addGap(7, 7, 7)
                .addComponent(trasero)
                .addGap(18, 18, 18)
                .addComponent(okButton)
                .addContainerGap())
        );

        getRootPane().setDefaultButton(okButton);

        pack();
    }// </editor-fold>//GEN-END:initComponents

    private void okButtonActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_okButtonActionPerformed
        doClose(RET_OK);
    }//GEN-LAST:event_okButtonActionPerformed

    /**
     * Closes the dialog
     */
    private void closeDialog(java.awt.event.WindowEvent evt) {//GEN-FIRST:event_closeDialog
        doClose(RET_CANCEL);
    }//GEN-LAST:event_closeDialog

    private void lingualActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_lingualActionPerformed
     
         if(l){
               lingual.setBackground(c.getColor());
              System.out.println();
                 diente_placa.setParcial('l', c.getId());
               l=false;
           }else{
               lingual.setBackground(color_defecto);
                diente_placa.setParcial('l', 0);
               l=true;
           }
    }//GEN-LAST:event_lingualActionPerformed

    private void vestibularActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_vestibularActionPerformed
           if(v){
               vestibular.setBackground(c.getColor());
               diente_placa.setParcial('v', c.getId());              
               v=false;
           }else{
                 diente_placa.setParcial('v', 0);
               vestibular.setBackground(color_defecto);
               v=true;
           }
    }//GEN-LAST:event_vestibularActionPerformed

    private void oclusalActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_oclusalActionPerformed
         if(o){
               oclusal.setBackground(c.getColor());
                diente_placa.setParcial('o', c.getId());
               o=false;
           }else{
               diente_placa.setParcial('o', 0);
               oclusal.setBackground(color_defecto);
               o=true;
           }
    }//GEN-LAST:event_oclusalActionPerformed

    private void distalActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_distalActionPerformed
           if(d){
               distal.setBackground(c.getColor());
               diente_placa.setParcial('d', c.getId());
               d=false;
           }else{
               distal.setBackground(color_defecto);
                 diente_placa.setParcial('d', 0);
               d=true;
           }
    }//GEN-LAST:event_distalActionPerformed

    private void mesialActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_mesialActionPerformed
      if(m){
               mesial.setBackground(c.getColor());
                 diente_placa.setParcial('m', c.getId());
               m=false;
           }else{
               mesial.setBackground(color_defecto);
                   diente_placa.setParcial('m', 0);
               m=true;
           }
    }//GEN-LAST:event_mesialActionPerformed

    private void frontalActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_frontalActionPerformed
         if(f){
               frontal.setBackground(c.getColor());
                 diente_placa.setParcial('f', c.getId());
               f=false;
           }else{
               frontal.setBackground(color_defecto);
                   diente_placa.setParcial('f', 0);
               f=true;
           }
    }//GEN-LAST:event_frontalActionPerformed

    private void traseroActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_traseroActionPerformed
        if(t){
               trasero.setBackground(c.getColor());
                 diente_placa.setParcial('t', c.getId());
               t=false;
           }else{
               trasero.setBackground(color_defecto);
                   diente_placa.setParcial('t', 0);
               t=true;
           }
    }//GEN-LAST:event_traseroActionPerformed

    private void doClose(int retStatus) {
        returnStatus = retStatus;
        setVisible(false);
        dispose();
    }

    /**
     * @param args the command line arguments
     */
    public static void main(String args[]) {
        /* Set the Nimbus look and feel */
        //<editor-fold defaultstate="collapsed" desc=" Look and feel setting code (optional) ">
        /* If Nimbus (introduced in Java SE 6) is not available, stay with the default look and feel.
         * For details see http://download.oracle.com/javase/tutorial/uiswing/lookandfeel/plaf.html 
         */
        try {
            for (javax.swing.UIManager.LookAndFeelInfo info : javax.swing.UIManager.getInstalledLookAndFeels()) {
                if ("Windows".equals(info.getName())) {
                    javax.swing.UIManager.setLookAndFeel(info.getClassName());
                    break;
                }
            }
        } catch (ClassNotFoundException ex) {
            java.util.logging.Logger.getLogger(ZoomPlaca.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        } catch (InstantiationException ex) {
            java.util.logging.Logger.getLogger(ZoomPlaca.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        } catch (IllegalAccessException ex) {
            java.util.logging.Logger.getLogger(ZoomPlaca.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        } catch (javax.swing.UnsupportedLookAndFeelException ex) {
            java.util.logging.Logger.getLogger(ZoomPlaca.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        }
        //</editor-fold>

        /* Create and display the dialog */
        java.awt.EventQueue.invokeLater(new Runnable() {
            public void run() {
                ZoomPlaca dialog = new ZoomPlaca(new javax.swing.JFrame(), true);
                Convenciones cs = new Convenciones();
                dialog.setC(cs.get(1));

                dialog.addWindowListener(new java.awt.event.WindowAdapter() {
                    @Override
                    public void windowClosing(java.awt.event.WindowEvent e) {
                        System.exit(0);
                    }
                });
                dialog.setVisible(true);
            }
        });
    }

    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JButton distal;
    private javax.swing.JButton frontal;
    private javax.swing.JButton jButton1;
    private javax.swing.JButton lingual;
    private javax.swing.JButton mesial;
    private javax.swing.JButton oclusal;
    private javax.swing.JButton okButton;
    private javax.swing.JButton trasero;
    private javax.swing.JButton vestibular;
    // End of variables declaration//GEN-END:variables

    private int returnStatus = RET_CANCEL;
}
