/* 
 * Copyright (C) 2014 Andersson Paz Narvaez
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
package org.idrobo;

import org.idrobo.form.Agenda;
import org.idrobo.form.CrudEspecialista;
import org.idrobo.form.CrudPaciente;
import org.idrobo.form.CrudTratamiento;

/**
 *
 * @author Usuario
 */
public class main {

    /**
     * @param args the command line arguments
     */
    public static void main(String[] args) {
        try {
            switch (args[0]) {
                case "Pacientes":
                    CrudPaciente.main(args);
                    break;
                case "Especialistas":
                    CrudEspecialista.main(args);
                    break;
                case "Tratamietos":
                    CrudTratamiento.main(args);
                    break;
                case "Citas":
                    Agenda.main(args);
                    break;
                default:
                    throw new AssertionError();
            }
        } catch (Exception exception) {
            CrudTratamiento.main(args);
        }

    }

}
